HaruPage::createURLAnnotation
HaruPage::curveTo3
HaruPage
PHP Manual

# HaruPage::curveTo2

(PECL haru:0.0.1)

HaruPage::curveTo2 — Append a Bezier curve to the current path

### Description

bool HaruPage::curveTo2 ( float `$x2` , float `$y2` , float `$x3` , float `$y3` )

Appends a Bezier curve to the current path. The current point and the point (x2, y2) are used as the control points for the Bezier curve and current point is moved to the point (x3, y3).

### Parameters

`x2`

  A Bezier curve control point.

`y2`

  A Bezier curve control point.

`x3`

  The current point moves here.

`x3`

  The current point moves here.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws HaruException on error.

HaruPage::createURLAnnotation
HaruPage::curveTo3
HaruPage
PHP Manual